Option Strict
Option Explicit

'
'   MediaException class
'     written in VB.NET                          Version: 1.0
'     by The KPD-Team                            Date: 2002/01/16
'     Copyright  2002                           Comments to: KPDTeam@allapi.net
'                                                URL: http://www.allapi.net/
'
'
'  You are free to use this class file in your own applications,
'  but you are expressly forbidden from selling or otherwise
'  distributing this code as source without prior written consent.
'  This includes both posting samples on a web site or otherwise
'  reproducing it in text or html format.
'
'  Although much care has gone into the programming of this class
'  file, The KPD-Team does not accept any responsibility for damage
'  caused by possible errors in this class and/or by misuse of this
'  class.
'
'

Imports System

'/// <summary>
'/// The exception that is thrown when an error occurs while opening and/or playing a WAVE file.
'/// </summary>
Public Class MediaException
Inherits Exception
	'/// <summary>Constructs a new MediaException object.</summary>
	'/// <param name="Message">Specifies the error message.</param>
	Public Sub New(Message as String)
		MyBase.New(Message)
	End Sub
	'/// <summary>Returns a string representation of this object.</summary>	
	'/// <returns>A string representation of this MediaException.</returns>
	Public Overrides Function ToString() as String
		Return "MediaException: " & MyBase.Message & " " & MyBase.StackTrace
	End Function
End Class
